=== debian/control ===
Source: tdegames-trinity
Section: games
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, groff-base, bzip2, libogg-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
Standards-Version: 3.8.4

Package: tdegames-trinity
Architecture: all
Section: tde
Replaces: kdegames-trinity (<< 4:14.0.0~)
Breaks: kdegames-trinity (<< 4:14.0.0~)
Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version}), tdefifteen-trinity (>= ${source:Version})
Suggests: tdegames-trinity-doc-html (>= ${source:Version}), khelpcenter-trinity
Description: games from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of games provided with
 the official release of TDE.

Package: tdegames-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdegames-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegames-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdegames-trinity
Description: TDE games documentation in HTML format
 By default the games provided with TDE (the Trinity Desktop Environment)
 only provide their documentation in TDE docbook format, which can
 only be read by Konqueror or KHelpCenter.  This package provides all
 of the TDE games documentation converted to HTML format so it can be
 read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/en/<package>/, for instance
 /usr/share/doc/tde/HTML/en/kasteroids/.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames1-trinity
Architecture: any
Section: games
Replaces: libkdegames1-trinity (<< 4:14.0.0~)
Breaks: libkdegames1-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity games library and common files
 This library provides a common infrastructure for several of the
 games in the TDE distribution. Features include standardized menu
 items, high score handling, card display, and network connections
 including chat capabilities.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-trinity-dbg
Architecture: any
Depends: tdelibs-trinity-dbg
Replaces: kdegames-trinity-dbg (<< 4:14.0.0~)
Breaks: kdegames-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Section: tde
Description: debugging symbols for tdegames
 This package contains the debugging symbols associated with tdegames.
 They will automatically be used by gdb for debugging tdegames-related
 issues.

Package: libtdegames-trinity-dev
Architecture: any
Section: libdevel
Replaces: libkdegames-trinity-dev (<< 4:14.0.0~)
Breaks: libkdegames-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${source:Version})
Description: Trinity games library headers
 This package is necessary if you want to develop your own games using
 the TDE games library.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames-trinity-doc
Architecture: all
Section: doc
Replaces: libkdegames-trinity-doc (<< 4:14.0.0~)
Breaks: libkdegames-trinity-doc (<< 4:14.0.0~)
Recommends: tdelibs14-trinity-doc, libtqtinterface-doc
Suggests: konqueror-trinity | www-browser, libtdegames-trinity-dev
Description: API documentation for the Trinity games library
 This package contains the developers' documentation for libtdegames.
 You may want to install it if you wish to develop games for TDE.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-card-data-trinity
Architecture: all
Section: games
Replaces: kdegames-card-data-trinity (<< 4:14.0.0~)
Breaks: kdegames-card-data-trinity (<< 4:14.0.0~)
Description: Card decks for Trinity games
 Several different collections of card images for use by TDE games.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity
Architecture: any
Section: games
Replaces: atlantik-trinity (<< 4:14.0.0~)
Breaks: atlantik-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: atlantikdesigner-trinity, monopd
Description: TDE client for Monopoly-like network games
 This is a TDE client for playing Monopoly-like boardgames on the
 monopd network.  It can play any board supported by the network
 server, including the classic Monopoly game, as well as the Atlantik
 game in which the property includes several major cities in North
 America and Europe.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity-dev
Architecture: any
Section: devel
Replaces: atlantik-trinity-dev (<< 4:14.0.0~)
Breaks: atlantik-trinity-dev (<< 4:14.0.0~)
Priority: extra
Depends: ${shlibs:Depends}, atlantik-trinity (= ${source:Version}), libtdegames-trinity-dev (= ${source:Version})
Description: Development files for Atlantik
 This package contains header files for compiling programs against the
 libraries which come with Atlantik.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kasteroids-trinity
Architecture: any
Section: games
Replaces: kasteroids-trinity (<< 4:14.0.0~)
Breaks: kasteroids-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Asteroids for Trinity
 You know this game.  It is based on Warwick Allison's QwSpriteField
 widget.
 .
 The objective of kasteroids is to destroy all the asteroids on the
 screen to advance to the next level. Your ship is destroyed if it
 makes contact with an asteroid.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: katomic-trinity
Architecture: any
Section: games
Replaces: katomic-trinity (<< 4:14.0.0~)
Breaks: katomic-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Atomic Entertainment game for Trinity
 This is a puzzle game, in which the object is to assemble a molecule
 from its atoms on a Sokoban-like board.  On each move, an atom goes
 as far as it can in a specified direction before being stopped by a
 wall or another atom.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbackgammon-trinity
Architecture: any
Section: games
Replaces: kbackgammon-trinity (<< 4:14.0.0~)
Breaks: kbackgammon-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: gnubg
Description: A Backgammon game for Trinity
 KBackgammon is a backgammon program for Trinity. It is based on the
 code, ideas and concepts of KFibs (which is a FIBS client for
 KDE1). For a short time, KBackgammon was called bacKgammon (if you
 know somebody who is still using bacKgammon, please force them to
 upgrade :-)).
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbattleship-trinity
Architecture: any
Section: games
Replaces: kbattleship-trinity (<< 4:14.0.0~)
Breaks: kbattleship-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Battleship game for Trinity
 This is an implementation of the Battleship game.  Each player tries
 to be the first to sink all the opponent's ships by firing "blindly"
 at them.  The game has options to play over a network connection or
 against the computer.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kblackbox-trinity
Architecture: any
Section: games
Replaces: kblackbox-trinity (<< 4:14.0.0~)
Breaks: kblackbox-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: A simple logical game for the Trinity project
 KBlackBox is a game of hide and seek played on an grid of boxes. Your
 opponent (Random number generator, in this case) has hidden several
 balls within this box. By shooting rays into the box and observing
 where they emerge it is possible to deduce the positions of the
 hidden balls. The fewer rays you use to find the balls, the lower
 your score.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbounce-trinity
Architecture: any
Section: games
Replaces: kbounce-trinity (<< 4:14.0.0~)
Breaks: kbounce-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Jezzball clone for the Trinity Desktop Environment
 This is a clone of the popular Jezzball game originally created by
 Microsoft. Jezzball is one of the rare and simple games requiring
 skill, timing, and patience in order to be successful.  A ball begins
 to bounce off of an area enclosed by four borders (like a
 square). You must move your pointer to certain areas within the
 square. Upon clicking, a new border is constructed at a relatively
 quick pace. You can change the direction of the borders by 90 degrees
 as well. Ultimately, you must force the ball to bounce around in a
 smaller, and smaller area as time goes by without the ball ever
 touching the borders as they are being constructed. If a ball touches
 a certain part of the border as it is being built, the game is over.
 After 75% of the original space has been blocked off from the moving
 ball, you advance one level, and one more ball is added to the mix in
 the following level.
 .
 This game was previously known as kjezz.
 .
 This package is part of Trinity, and a component of the TDE games module.
