## tdegames-trinity 14.1.5~pre7

=== kbackgammon/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )
add_subdirectory( sounds )
add_subdirectory( icons )
add_subdirectory( engines )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${CMAKE_CURRENT_SOURCE_DIR}/engines
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kbackgammon (executable) ##################

tde_add_executable( kbackgammon AUTOMOC
  SOURCES main.cpp kbg.cpp kbgboard.cpp kbgtextview.cpp kbgstatus.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdeprint-shared
    kbgengines-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop( kbackgammon.desktop )

tde_create_translated_desktop(
    SOURCE eventsrc
    DESTINATION ${DATA_INSTALL_DIR}/kbackgammon
    PO_DIR kbackgammon-eventsrc
)

install(
  FILES kbackgammonui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kbackgammon
)
