=== kolf/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( objects )
add_subdirectory( sounds )
add_subdirectory( courses )
add_subdirectory( pics )
add_subdirectory( graphics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### kolf (tdeinit) ############################

tde_add_tdeinit_executable( kolf AUTOMOC
  SOURCES main.cpp
  LINK kolf-shared
)


##### kolf (shared) #############################

tde_add_library( kolf SHARED AUTOMOC
  SOURCES kolf.cpp game.cpp canvasitem.cpp ball.cpp newgame.cpp config.cpp
    scoreboard.cpp editor.cpp pluginloader.cpp object.cpp vector.cpp
    printdialogpage.cpp kcomboboxdialog.cpp kvolumecontrol.cpp floater.cpp
    slope.cpp
  VERSION 1.2.0
  LINK tdegames-shared tdeprint-shared tdeio-shared artskde-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### headers ###################################

install( FILES ball.h game.h statedb.h config.h canvasitem.h object.h
    rtti.h vector.h floater.h slope.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kolf
)


##### other data ################################

add_custom_command ( OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/kolf.magic.mgc"
  COMMAND file -C -m ${CMAKE_CURRENT_SOURCE_DIR}/kolf.magic
  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kolf.magic"
)

add_custom_target( kolf-magic-mgc ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/kolf.magic.mgc" )

tde_create_translated_desktop(
  SOURCE x-kourse.desktop x-kolf.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR kolf-desktops
)

install( FILES kolf.magic "${CMAKE_CURRENT_BINARY_DIR}/kolf.magic.mgc"
  DESTINATION ${CONFIG_INSTALL_DIR}/magic
)

tde_create_translated_desktop(
  SOURCE kolf.desktop
  PO_DIR kolf-desktops
)

tde_create_translated_desktop(
  SOURCE intro tutorial.kolf
  DESTINATION ${DATA_INSTALL_DIR}/kolf
  PO_DIR kolf-courses
)

install( FILES kolfui.rc tutorial.kolfgame
  DESTINATION ${DATA_INSTALL_DIR}/kolf
)
