=== ksame/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksame (executable) ########################

tde_add_executable( ksame AUTOMOC
  SOURCES main.cpp StoneField.cpp StoneWidget.cpp KSameWidget.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( ksame )


##### other data ################################

install(
  FILES stones.png ksameui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ksame
)

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/ksame
  PO_DIR ksame-eventsrc
)

tde_create_translated_desktop( ksame.desktop )
