=== kasteroids/sounds/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES Explosion.wav
  DESTINATION ${DATA_INSTALL_DIR}/kasteroids/sounds
)
