=== kbackgammon/icons/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_install_icons( kbackgammon kbackgammon_engine )
