=== kbackgammon/pics/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES kbackgammon-double.xpm kbackgammon-chat.png
  DESTINATION ${DATA_INSTALL_DIR}/kbackgammon/pics
)
