=== kbackgammon/sounds/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES kbackgammon-lost.wav kbackgammon-won.wav kbackgammon-roll.wav
  kbackgammon-move.wav
  DESTINATION ${DATA_INSTALL_DIR}/kbackgammon/sounds
)
