=== knetwalk/src/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )
add_subdirectory( sounds )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### knetwalk (executable) #####################

tde_add_executable( knetwalk AUTOMOC
  SOURCES cell.cpp highscores.cpp main.cpp mainwindow.cpp settings.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdecore-shared
    tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/knetwalk
  PO_DIR knetwalk-eventsrc
)

tde_create_translated_desktop( knetwalk.desktop )

install( FILES knetwalkui.rc
  DESTINATION ${DATA_INSTALL_DIR}/knetwalk
)
