=== kpoker/sounds/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

install( FILES cardflip.wav hold.wav lose.wav win.wav
  DESTINATION ${DATA_INSTALL_DIR}/kpoker/sounds
)
