=== debian/changelog ===
tdegames-trinity (4:14.1.5~pre7-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 27ebcd13784497ed8b50649ba529291480a1f9d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
